BMC(1)

NAME
BMC - manual page for BMC Auto Configurator [bmc-autoconfig-0.2.0]

SYNOPSIS
bmc-autoconfig [OPTION...]

DESCRIPTION
bmc-autoconfig is an autoconfiguration tool and wrapper around bmc-config.

--no-probing
    Do not probe IPMI devices.

-D, --driver-type=IPMIDRIVER
    Use this IPMIDRIVER instead of auto selection. Allowed values are KCS, SMIC, SSIF, LAN, and

    OPENIPMI.

--driver-address=DRIVERADDR
    Use this DRIVERADDR address instead of probed one.

--driver-device=DEVICE Use this DEVICE for IPMI driver.

-r, --register-spacing=REGISTERSPACING
    Use this REGISTERSPACING instead of the probed one

-h, --hostname=IPMIHOST
    Connect to IPMIHOST.

-u, --username=USERNAME
    Use USERNAME instead of NULL. Maximum USERNAME length is 16.

-p, --password=PASSWORD
    Use PASSWORD instead of NULL. Maximum PASSWORD length is 16.

--retry-timeout=RETRY_TIMEOUT
    Use RETRY_TIMEOUT milliseconds before re-sending LAN packets.

--session-timeout=SESSION_TIMEOUT
    Use SESSION_TIMEOUT milliseconds before ending a session.

-a, --auth-type=AUTHTYPE
    Use AUTHTYPE instead of MD5. Allowed values are NONE, MD2, MD5, and PLAIN.

-l, --priv-level=PRIVILEGE-LEVEL
    Use this PRIVILEGE-LEVEL instead of ADMIN. Allowed values are CALLBACK, USER, OPERATOR, ADMIN and OEM.

-v, --verbose
    Produce verbose output

-q, -s, --quiet, --silent
    Do not produce any output

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

REPORTING BUGS
Report bugs to <freeipmi-devel@gnu.org>.

COPYRIGHT
Copyright © 2003-2005 FreeIPMI Core Team This program is free software; you may redistribute it under the terms of the GNU General Public License. This program has absolutely no warranty.

SEE ALSO
The full documentation for BMC is maintained as a Texinfo manual. If the info and BMC programs are properly installed at your site, the command

    info BMC

should give you access to the complete manual.